# com.github.insanusmokrassar.TelegramBotAPI.extensions.api.get - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.extensions.api.get

## Package com.github.insanusmokrassar.TelegramBotAPI.extensions.api.get

### Functions

(common)

#### getFileAdditionalInfo

`suspend fun RequestsExecutor.getFileAdditionalInfo(fileId: FileId): PathedFile`
`suspend fun RequestsExecutor.getFileAdditionalInfo(file: TelegramMediaFile): PathedFile`

(common)

#### getStickerSet

`suspend fun RequestsExecutor.getStickerSet(name: String): StickerSet`
`suspend fun RequestsExecutor.getStickerSet(sticker: Sticker): StickerSet`

(common)

#### getUserProfilePhotos

`suspend fun RequestsExecutor.getUserProfilePhotos(userId: UserId, offset: Int? = null, limit: Int? = null): UserProfilePhotos`
`suspend fun RequestsExecutor.getUserProfilePhotos(user: CommonUser, offset: Int? = null, limit: Int? = null): UserProfilePhotos`